Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.visualization
Class SVGGenerator

    java.lang.Object
      |
      +--gr.forth.ics.vrp.visualization.RDF_Visualization
            |
            +--gr.forth.ics.vrp.visualization.SVGGenerator

public class SVGGenerator
extends RDF_Visualization

Field Summary
`static String` | `ClassColor`
`static int` | `ClassRy`
`static int` | `DesktopViewHeight`
`static int` | `DesktopViewWidth`
`static int` | `DesktopWindowHeight`
`static int` | `DesktopWindowWidth`
`static int` | `MaxTreeWindowWidth`
`static String` | `MetaColor`
`static int` | `MinClassRx`
`static int` | `MinFocusClassWidth`
`static int` | `MinFocusResourceWidth`
`static int` | `MinResourceWidth`
`static int` | `MinTreeWindowWidth`
`static String` | `NoneTransitiveClass`
`static String` | `NoneTransitiveProperty`
`static String` | `NoneTransitiveResource`
`static String` | `PropertyColor`
`static String` | `ResourceColor`
`static int` | `ResourceHeight`
`static int` | `SVGHeight`
`static int` | `SVGWidth`
`static String` | `TransitiveClass`
`static String` | `TransitiveProperty`
`static String` | `TransitiveResource`
`static int` | `TreeViewHeight`
`static int` | `TreeViewWidth`
`static int` | `TreeWindowHeight`
`static int` | `TreeWindowWidth`

Fields inherited from class gr.forth.ics.vrp.visualization.RDF_Visualization
`broker`

Constructor Summary
`SVGGenerator(RDF_SemanticBroker broker)`

Method Summary
`void` | `generate()`
`static void` | `setSVGSize(int w, int h)`
`static void` | `setTreeWindowWidth(int w)`

Methods inherited from class gr.forth.ics.vrp.visualization.RDF_Visualization
`println, writeToFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SVGWidth

    public static int SVGWidth

### SVGHeight

    public static int SVGHeight

### MinClassRx

    public static final int MinClassRx

See Also:
  Constant Field Values

### ClassRy

    public static final int ClassRy

See Also:
  Constant Field Values

### MinResourceWidth

    public static final int MinResourceWidth

See Also:
  Constant Field Values

### ResourceHeight

    public static final int ResourceHeight

See Also:
  Constant Field Values

### MinFocusClassWidth

    public static final int MinFocusClassWidth

See Also:
  Constant Field Values

### MinFocusResourceWidth

    public static final int MinFocusResourceWidth

See Also:
  Constant Field Values

### MinTreeWindowWidth

    public static final int MinTreeWindowWidth

See Also:
  Constant Field Values

### MaxTreeWindowWidth

    public static int MaxTreeWindowWidth

### TreeWindowWidth

    public static int TreeWindowWidth

### TreeViewWidth

    public static int TreeViewWidth

### TreeWindowHeight

    public static int TreeWindowHeight

### TreeViewHeight

    public static int TreeViewHeight

### DesktopWindowWidth

    public static int DesktopWindowWidth

### DesktopViewWidth

    public static int DesktopViewWidth

### DesktopWindowHeight

    public static int DesktopWindowHeight

### DesktopViewHeight

    public static int DesktopViewHeight

### ClassColor

    public static final String ClassColor

See Also:
  Constant Field Values

### ResourceColor

    public static final String ResourceColor

See Also:
  Constant Field Values

### PropertyColor

    public static final String PropertyColor

See Also:
  Constant Field Values

### MetaColor

    public static final String MetaColor

See Also:
  Constant Field Values

### NoneTransitiveProperty

    public static final String NoneTransitiveProperty

See Also:
  Constant Field Values

### TransitiveProperty

    public static final String TransitiveProperty

See Also:
  Constant Field Values

### NoneTransitiveClass

    public static final String NoneTransitiveClass

See Also:
  Constant Field Values

### TransitiveClass

    public static final String TransitiveClass

See Also:
  Constant Field Values

### NoneTransitiveResource

    public static final String NoneTransitiveResource

See Also:
  Constant Field Values

### TransitiveResource

    public static final String TransitiveResource

See Also:
  Constant Field Values

Constructor Detail

### SVGGenerator

    public SVGGenerator(RDF_SemanticBroker broker)

Method Detail

### setSVGSize

    public static void setSVGSize(int w,
                                  int h)

### setTreeWindowWidth

    public static void setTreeWindowWidth(int w)

### generate

    public void generate()
                  throws IOException

  Specified by:
    `generate` in class `RDF_Visualization`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD